Replace File Upload
curl --request POST \
--url https://flows.super.ai/api/integrations/database/{db_id}/upload/replace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"upload_id": "<string>",
"delimiter": ",",
"has_header": true,
"table_name": "<string>"
}
'import requests
url = "https://flows.super.ai/api/integrations/database/{db_id}/upload/replace"
payload = {
"upload_id": "<string>",
"delimiter": ",",
"has_header": True,
"table_name": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
upload_id: '<string>',
delimiter: ',',
has_header: true,
table_name: '<string>'
})
};
fetch('https://flows.super.ai/api/integrations/database/{db_id}/upload/replace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}integrations
Replace File Upload
Replace existing database data with new file upload.
POST
/
api
/
integrations
/
database
/
{db_id}
/
upload
/
replace
Replace File Upload
Authorizations
API key authentication. Include your API key in the X-API-Key header as: X-API-Key YOUR_API_KEY
Example:
X-API-Key: saf_1234567890
JWT Bearer token authentication. Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN
Example:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Path Parameters
Body
application/json
Response
Successful Response
⌘I